<?php

	/**
	 * Einstellungen für das Paketverfolgungsmodul
	 */

?>

<script type="text/javascript">/* <![CDATA[ */

	/**
	 * Wird beim anlegen eines neuen Anbieters aufgerufen
	 */
	function wpsg_mod_packagetracking_add()
	{

		jQuery('#wpsg_trackingprovider_list').html('<img src="<?php echo WPSG_URL; ?>views/gfx/ajax-loader.gif" alt="<?php echo __('Bitte warten ...', 'wpsg'); ?>" />');
		
		jQuery.ajax( {
			url: '<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&action=module&modul=wpsg_mod_packagetracking&noheader=1&do=add',
			success: function(data) {
				jQuery('#wpsg_trackingprovider_list').html(data);
			}
		} ); 

		return false;

	} // function wpsg_mod_packagetracking_add()

	/**
	 * Wird aufgerufen wenn ein Anbieter gelöscht werden soll
	 */
	function wpsg_mod_packagetracking_delete(trackingprovider_id)
	{

		if (!confirm('<?php echo __('Sind Sie sich sicher?', 'wpsg'); ?>')) return false;

		jQuery('#wpsg_trackingprovider_list').html('<img src="<?php echo WPSG_URL; ?>views/gfx/ajax-loader.gif" alt="<?php echo __('Bitte warten ...', 'wpsg'); ?>" />');
		
		jQuery.ajax( {
			url: '<?php echo WPSG_URL_WP; ?>wp-admin/admin.php?page=wpsg-Admin&action=module&modul=wpsg_mod_packagetracking&noheader=1&do=delete',
			data: {
				trackingprovider_id: trackingprovider_id
			},
			success: function(data) {
				jQuery('#wpsg_trackingprovider_list').html(data);
			}
		} ); 
		
		return false;
		
	} // function wpsg_mod_packagetracking_delete(trackingprovider_id)
	
/* ]]> */</script>

<div class="wpsg_admin_box wpsg_mod_packagetracking_settings_edit_list">		
		  		
	<div class="head">
		<div class="title">
			<div class="fulltab">
				<?php echo __('Anbieter für Paketverfolgung', 'wpsg'); ?>
				<a title="<?php echo __('Neuem Anbieter anlegen', 'wpsg'); ?>" href="" class="wpsg_icon wpsg_icon_right wpsg_icon_add" onclick="return wpsg_mod_packagetracking_add();"></a>
			</div>
		</div>
	</div>
	<div class="content" id="wpsg_trackingprovider_list">
		<?php echo $this->callMod('wpsg_mod_packagetracking', 'renderTrackingList'); ?>
	</div>
			
</div>